## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelEntity Member List

This is the complete list of members for iCelEntity, including all inherited members.

AddClass(csStringID cls)=0 | iCelEntity | `[pure virtual]`
GetBehaviour()=0 | iCelEntity | `[pure virtual]`
GetClasses() const =0 | iCelEntity | `[pure virtual]`
GetID() const =0 | iCelEntity | `[pure virtual]`
GetName() const =0 | iCelEntity | `[pure virtual]`
GetPropertyClassList()=0 | iCelEntity | `[pure virtual]`
HasClass(csStringID cls)=0 | iCelEntity | `[pure virtual]`
QueryObject()=0 | iCelEntity | `[pure virtual]`
RemoveClass(csStringID cls)=0 | iCelEntity | `[pure virtual]`
SetBehaviour(iCelBehaviour *behaviour)=0 | iCelEntity | `[pure virtual]`
SetID(uint n)=0 | iCelEntity | `[pure virtual]`
SetName(const char *n)=0 | iCelEntity | `[pure virtual]`